events.listen("recipes", function (e) {
  e.custom({
    type: "minecraft:crafting_shaped",
    pattern: ["i i", " c ", "i i"],
    key: {
      i: { item: "kubejs:restonia_plate" },
      c: { item: "kubejs:restonia_ingot" },
    },
    result: { item: "kubejs:component_restonia" },
  });

  e.custom({
    type: "immersiveengineering:blueprint",
    inputs: [
      { count: 2, base_ingredient: { item: "kubejs:restonia_plate" } },
      { item: "kubejs:restonia_ingot" },
    ],
    category: "components",
    result: { item: "kubejs:component_restonia" },
  });
});
